Subject: Re: [PATCH v4] Documentation: add platform support policy

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Jul 2024 14:24:32 -0700

Emily Shaffer <[email-masked]> writes:

>> > +Note that this document is about maintaining existing support for a platform
>> > +that has generally worked in the past; for adding support to a platform which
>> > +doesn't generally work with Git, the stakeholders for that platform are expected
>> > +to do the bulk of that work themselves. We will consider such patches if they
>> > +don't make life harder for other supported platforms, and you may well find a
>> > +contributor interested in working on that support, but the Git community as a
>> > +whole doesn't feel an obligation to perform such work.
>>
>> The part after "... and you may well find" reads a bit muddy.  I
>> couldn't tell if it is talking about the initial port, or continued
>> support, or both.
>> ...
> I like that message, but what I was trying to say with that sentence
> was "if you get lucky, some volunteer might want to help you with the
> initial port".

FWIW, I do not quite like that message; I agree that it would be
good to tell them that they may not entirely be on their own, if
they ask nicely, but no promises ;-).

> It seems worth at least pointing out that that would be
> the exception, not the rule, but I probably already do that well
> enough with the previous sentence ("the platform stakeholders are
> expected to do the bulk of the work"). Let me reword the last
> sentence, then:
>
> "We will consider patches that port a new platform if they don't make
> life harder for other support platforms or for Git contributors. Some
> Git contributors may volunteer to help with the initial or continued
> support, but that is not a given. Support work which is too intrusive
> or difficult for the project to maintain may still not be accepted."

OK, at least that clarifies the point I was puzzled about.